
Installer - Feature #16207

Allow users to provide custom hiera configuration

08/19/2016 02:45 PM - Chris Roberts

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: foreman-installer script   

Target version: 1.14.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1305782 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/204,

https://github.com/theforeman/foreman-i

nstaller/pull/205,

https://github.com/theforeman/foreman-i

nstaller/pull/206

  

Description

Cloned from Bugzilla

Description of problem:

default install of satellite 6.1.5 has Apache configured with TraceEnabled On

This causes generic security auditors to panic and raise red flags

Version-Release number of selected component (if applicable):

6.1.5

How reproducible:

Every time

Steps to Reproduce:

1. Install Satellite 6.1.5

2. Pay some security auditor to scan it

3.

Actual results:

Trace/Track enabled

Expected results:

Should be disabled

Additional info:

had to modify /etc/httpd/conf/httpd.conf

Associated revisions

Revision cd995d8d - 10/31/2016 10:24 AM - Stephen Benjamin

fixes #16207 - allow users to provide custom hiera configuration

Revision 9b69685f - 10/31/2016 11:08 AM - Dominic Cleal

refs #16207 - generate custom.yaml symlink during build phase

Ensures the build phase of the Rakefile can be run with a different

prefix to the installation phase, for use in package builds where the

installation phase prefix is not the standard directory. Matches how

configuration files all have paths set in the build phase.

Revision 0a7d47d5 - 11/01/2016 09:47 AM - Dominic Cleal
refs #16207 - move foreman-hiera.conf out of _build/config

History

#1 - 08/19/2016 02:47 PM - Chris Roberts

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppetlabs-apache/pull/2 added

#2 - 08/19/2016 02:48 PM - Chris Roberts

- translation missing: en.field_release set to 160

#3 - 08/21/2016 12:13 PM - Chris Roberts

- Status changed from Ready For Testing to Rejected

#4 - 08/22/2016 03:08 AM - Dominic Cleal

- translation missing: en.field_release deleted (160)

#5 - 10/20/2016 01:36 PM - Stephen Benjamin

- Project changed from Foreman to Installer

- Subject changed from TRACE enabled in httpd.conf to Allow users to provide custom hiera configuration

- Category deleted (Security)

- Status changed from Rejected to New

- Assignee changed from Chris Roberts to Stephen Benjamin

- Pull request deleted (https://github.com/theforeman/puppetlabs-apache/pull/2)

#6 - 10/20/2016 01:40 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/204 added

#7 - 10/31/2016 10:23 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category set to foreman-installer script

- translation missing: en.field_release set to 189

#8 - 10/31/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cd995d8d41921bc8d84d4c523dae8605970ea05b.

#9 - 10/31/2016 11:25 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/205 added

#10 - 11/01/2016 06:17 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/206 added
